Delete cloud onboarding deployment Experimental

DELETE /api/fleet/cloud_onboarding_deployments/{id}

Spaces method and path for this operation:

delete /s/{space_id}/api/fleet/cloud_onboarding_deployments/{id}

Refer to Spaces for more information.

Delete a cloud onboarding deployment by ID.

[Required authorization] Route required privileges: fleet-agent-policies-all OR integrations-all.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • id string Required

    The saved object ID of the cloud onboarding deployment.

    Maximum length is 255.

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • id string Required
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
  • 404 application/json

    Not Found

    Hide response attribute Show response attribute object
    • message string Required
DELETE /api/fleet/cloud_onboarding_deployments/{id}
curl \
 --request DELETE 'https://<KIBANA_URL>/api/fleet/cloud_onboarding_deployments/{id}' \
 --header "Authorization: $API_KEY" \
 --header "kbn-xsrf: true"
Response examples (200)
The cloud onboarding deployment was successfully deleted
{
  "id": "onboarding-deployment-id-1"
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
Response examples (404)
The requested cloud onboarding deployment does not exist
{
  "error": "Not Found",
  "message": "Saved object [fleet-cloud-onboarding-deployment/unknown-id] not found",
  "statusCode": 404
}